Package org.wildfly.plugin.cli

## Class ExecuteCommandsMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.wildfly.plugin.common.AbstractServerConnection
    - - org.wildfly.plugin.cli.ExecuteCommandsMojo

- All Implemented Interfaces:
    `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

      @Mojo(name="execute-commands",
            threadSafe=true)
      public class ExecuteCommandsMojo
      extends AbstractServerConnection

  Execute commands to the running WildFly Application Server.

  Commands should be formatted in the same manner CLI commands are formatted.

  Executing commands in a batch will rollback all changes if one command fails.

            <batch>true</batch>
            <fail-on-error>false</fail-on-error>
            <commands>
                <command>/subsystem=logging/console=CONSOLE:write-attribute(name=level,value=DEBUG)</command>
            </commands>

  Author:
    James R. Perkins

- - ### Field Summary

    - ### Fields inherited from class org.wildfly.plugin.common.AbstractServerConnection

      `DEBUG_MESSAGE_NO_CREDS, DEBUG_MESSAGE_NO_ID, DEBUG_MESSAGE_NO_SERVER_SECTION, DEBUG_MESSAGE_NO_SETTINGS_FILE, DEBUG_MESSAGE_POM_HAS_CREDS, DEBUG_MESSAGE_SETTINGS_HAS_CREDS, DEBUG_MESSAGE_SETTINGS_HAS_ID, timeout`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecuteCommandsMojo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` |
    `protected String` | `getManagementHostName()` |
    `protected int` | `getManagementPort()` |
    `String` | `goal()` | The goal of the deployment.
    `void` | `setJavaOpts​(String value)` | Allows the `javaOpts` to be set as a string.

    - ### Methods inherited from class org.wildfly.plugin.common.AbstractServerConnection

      `createClient, getClientConfiguration`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecuteCommandsMojo

          public ExecuteCommandsMojo()

  - ### Method Detail

    - #### goal

          public String goal()

      Description copied from class: `AbstractServerConnection`
      The goal of the deployment.
      Specified by:
        `goal` in class `AbstractServerConnection`
      Returns:
        the goal of the deployment.

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException,
                              org.apache.maven.plugin.MojoFailureException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `org.apache.maven.plugin.MojoFailureException`

    - #### getManagementPort

          protected int getManagementPort()

      Overrides:
        `getManagementPort` in class `AbstractServerConnection`

    - #### getManagementHostName

          protected String getManagementHostName()

      Overrides:
        `getManagementHostName` in class `AbstractServerConnection`

    - #### setJavaOpts

          public void setJavaOpts​(String value)

      Allows the `javaOpts` to be set as a string. The string is assumed to be space delimited.
      Parameters:
        `value` - a spaced delimited value of JVM options